# Trait nom::ErrorConvert

source · [−]

    pub trait ErrorConvert<E> {
        fn convert(self) -> E;
    }

Expand description

Equivalent From implementation to avoid orphan rules in bits parsers

## Required Methods

source

#### fn convert(self) -> E

Transform to another error type

## Implementations on Foreign Types

source

### impl<I> ErrorConvert<(I, ErrorKind)> for ((I, usize), ErrorKind)

source

#### fn convert(self) -> (I, ErrorKind)

source

### impl<I> ErrorConvert<((I, usize), ErrorKind)> for (I, ErrorKind)

source

#### fn convert(self) -> ((I, usize), ErrorKind)

source

### impl ErrorConvert<()> for ()

source

#### fn convert(self)

## Implementors

source

### impl<I> ErrorConvert<Error<(I, usize)>> for Error<I>

source

### impl<I> ErrorConvert<Error<I>> for Error<(I, usize)>

source

### impl<I> ErrorConvert<VerboseError<(I, usize)>> for VerboseError<I>

source

### impl<I> ErrorConvert<VerboseError<I>> for VerboseError<(I, usize)>